from django.db import models


class Comment(models.Model):
    article = models.ForeignKey(
        'web.Article',
        on_delete=models.CASCADE,
        related_name='comments',

        verbose_name='Статья'
    )

    text = models.TextField(max_length=400, verbose_name='Текст')

    author = models.ForeignKey(
        'accounts.User',
        on_delete=models.CASCADE,
        default=1,
        related_name='comments',
        verbose_name='Автор'
    )

    created_at = models.DateTimeField(
        auto_now_add=True,
        verbose_name='Время создания'
    )

    updated_at = models.DateTimeField(
        auto_now=True,
        verbose_name='Время обновления'
    )

    class Meta:
        verbose_name = 'Комментарий'
        verbose_name_plural = 'Комментарии'

    def __str__(self):
        return f'{self.article.title}: {self.author} | {self.text[:30]}...'
