from django.urls import path

from web import views

urlpatterns = [
    path('articles/', views.ArticleIndexView.as_view(), name='main_page'),
    path('articles/add/', views.ArticleCreateView.as_view(), name='article_add'),
    path('articles/<int:id>/', views.ArticleDetailView.as_view(), name='article_detail'),
    path('articles/<int:id>/edit', views.ArticleUpdateView.as_view(), name='article_update'),
    path('articles/<int:id>/delete', views.ArticleDeleteView.as_view(), name='article_delete'),

    path(
        'comments/add/',
        views.CommentCreateView.as_view(),
        name='comment_create'
    ),
    path(
        'comments/<int:id>/edit',
        views.CommentUpdateView.as_view(),
        name='comment_update'
    ),
    path(
        'comments/<int:id>/delete',
        views.CommentDeleteView.as_view(),
        name='comment_delete'
    ),
]
